/* 
   $Id: sgbar.h,v 1.2 2001/04/20 10:40:08 sho Exp $

   Copyright (C) 2001 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of sgwm.

   sgwm is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   sgwm is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with sgwm; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

#ifndef __SGBAR_H__
#define __SGBAR_H__

typedef struct _SGBar SGBar;
typedef struct _SGBarClass SGBarClass;

#include <gdk/gdk.h>
#include <gtk/gtkbin.h>

#define SGBAR(obj) (GTK_CHECK_CAST((obj),GTK_TYPE_SGBAR,SGBar))
#define SGBAR_CLASS(klass) (GTK_CHECK_CLASS_CAST((klass),\
	GTK_TYPE_SGBAR,SGBar))
#define IS_SGBAR(obj) (GTK_CHECK_TYPE((obj),GTK_TYPE_SGBAR))

#define GTK_TYPE_SGBAR (sgbar_get_type())

#define SG_BAR_HANDLE_WIDTH 10

struct _SGBar {
    GtkBin bin;
    gint16 oldx;
    gboolean movable;
    gboolean in_drag;
};

struct _SGBarClass {
    GtkBinClass parent_class;
};

extern GtkType sgbar_get_type(void);
extern GtkWidget *sgbar_new();
extern gboolean sgbar_get_x(SGBar *bar, gint *x);
extern void sgbar_set_movable(SGBar *bar, gboolean movable);

#endif
