/* 
   $Id: sgbarholder.h,v 1.1.1.1 2001/03/14 08:31:48 sho Exp $

   Copyright (C) 2001 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of sgwm.

   sgwm is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   sgwm is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with sgwm; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

#ifndef __SGBARHOLDER_H__
#define __SGBARHOLDER_H__

typedef struct _SGBarHolder SGBarHolder;
typedef struct _SGBarHolderClass SGBarHolderClass;

#include <gdk/gdk.h>
#include <gtk/gtkcontainer.h>
#include "sgwmwidget.h"

#define SGBARHOLDER(obj) (GTK_CHECK_CAST((obj),GTK_TYPE_SGBARHOLDER,SGBarHolder))
#define SGBARHOLDER_CLASS(klass) (GTK_CHECK_CLASS_CAST((klass),\
	GTK_TYPE_SGBARHOLDER,SGBarHolder))
#define IS_SGBARHOLDER(obj) (GTK_CHECK_TYPE((obj),GTK_TYPE_SGBARHOLDER))

#define GTK_TYPE_SGBARHOLDER (sgbarholder_get_type())

#define SG_BARHOLDER_DEFAULT_HEIGHT 0

struct _SGBarHolder {
    GtkContainer container;
    GtkWidget *menubarContainer;
    GtkWidget *toolbarContainer;
    GtkWidget *imbarContainer;
    GtkWidget *defaultMenubar;
    GtkWidget *defaultToolbar;
    GtkWidget *imbar;
    SGWMWidget *sgwm;
};

struct _SGBarHolderClass {
    GtkContainerClass parent_class;
};

extern GtkType sgbarholder_get_type(void);
extern GtkWidget *sgbarholder_new(SGWMWidget *sgwm);
extern void sgbarholder_add(GtkContainer *container, GtkWidget *widget);
extern void sgbarholder_remove(GtkContainer *container, GtkWidget *widget);
extern void sgbarholder_clear(GtkContainer *container);
extern void sgbarholder_get_x(GtkWidget *widget, gint *x);

#endif
