/* 
   $Id: sgimbar.c,v 1.3 2001/04/10 08:03:15 sho Exp $

   Copyright (C) 2001 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of sgwm.

   sgwm is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   sgwm is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with sgwm; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

#include "sgwm.h"
#include <gtk/gtkhbox.h>
#include <gtk/gtkbutton.h>
#include <gtk/gtksignal.h>
#include <gtk/gtkpixmap.h>
#include <gtk/gtklabel.h>
#include "sgwmtop.h"
#include "sgimbar.h"

static SGWMWidget *sgwmwidget = NULL;

gboolean nunome = NUNOME;

static void sgimbar_nunome_clicked(GtkButton *button)
{
    sgwmtop_switch_nunome(SGWMTOP(sgwmwidget->top));
}

GtkWidget *sgimbar_new(SGWMWidget *sgwm)
{
    GtkWidget *w;
    GtkWidget *b;
    GdkPixmap *pm;
    GdkBitmap *mask;
    GtkWidget *wpm;

    sgwmwidget = sgwm;
    w = gtk_hbox_new(FALSE,3);
    if (nunome) {
	pm = gdk_pixmap_create_from_xpm(sgwmwidget->top->window,&mask,
	  &sgwmwidget->top->style->bg[GTK_STATE_NORMAL],
	  PIXMAPDIR "/nunome-small.xpm");
	if (pm != NULL) {
	    wpm = gtk_pixmap_new(pm,mask);
	} else {
	    wpm = gtk_label_new("N");
	}
	if (wpm != NULL) {
	    b = gtk_button_new();
	    gtk_container_add(GTK_CONTAINER(b),wpm);
	    gtk_signal_connect(GTK_OBJECT(b),"clicked",
	      (GtkSignalFunc)sgimbar_nunome_clicked,NULL);
	    gtk_container_add(GTK_CONTAINER(w),b);
	    gtk_widget_show_all(b);
	}
    }
    return w;
}
