/* 
   $Id: sgwmtop.h,v 1.3 2001/07/02 11:21:50 sho Exp $

   Copyright (C) 2001 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of sgwm.

   sgwm is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   sgwm is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with sgwm; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

#ifndef __SGWMTOP_H__
#define __SGWMTOP_H__

typedef struct _SGWMTop SGWMTop;
typedef struct _SGWMTopClass SGWMTopClass;

#include <gdk/gdk.h>
#include <gtk/gtkcontainer.h>
#include "sgwindow.h"
#include "sgwmwidget.h"

#define SGWMTOP(obj) (GTK_CHECK_CAST((obj),GTK_TYPE_SGWMTOP,SGWMTop))
#define SGWMTOP_CLASS(klass) (GTK_CHECK_CLASS_CAST((klass),\
	GTK_TYPE_SGWMTOP,SGWMTop))
#define IS_SGWMTOP(obj) (GTK_CHECK_TYPE((obj),GTK_TYPE_SGWMTOP))

#define GTK_TYPE_SGWMTOP (sgwmtop_get_type())

#define SG_PANEL_WIDTHE 20
#define SG_MAINAREA_SIZE(w) ((w*2)/3)

#define SG_N_WORKSPACE 2

#define NUNOME_EXTRA_SIZE 18

struct _SGWMTop {
    GtkContainer container;
    SGWMWidget *wmwidget;
    GtkWidget *bar;
    GtkWidget *area;
    GtkWidget *workspace[SG_N_WORKSPACE];
    GtkWidget *frame[SG_N_WORKSPACE];
    SGWindow *curTask[SG_N_WORKSPACE];
    GList *unmappedTasks;
    gint16 position;
    gint8 activeWorkSpace;
};

struct _SGWMTopClass {
    GtkContainerClass parent_class;
};

extern GtkType sgwmtop_get_type(void);
extern GtkWidget *sgwmtop_new(SGWMWidget *sgwm);
extern void sgwmtop_map_task(SGWMTop *top, SGWindow *win, gint no);
extern void sgwmtop_unmap_task(SGWMTop *top, SGWindow *win);
extern int sgwmtop_get_workspace_coord(SGWMTop *top, int x, int y);
extern int sgwmtop_get_workspace_transient(SGWMTop *top, SGWindow *win);
extern void sgwmtop_destroy_child_notify(SGWMTop *top, SGWindow *win);
extern void sgwmtop_activate_workspace(SGWMTop *top, gint no, gboolean warp,
  gboolean focus);
extern void sgwmtop_swap_task(SGWMTop *top, gint ws1, gint ws2);
extern void sgwmtop_roll_up_task(SGWMTop *top, gint ws);
extern void sgwmtop_roll_down_task(SGWMTop *top, gint ws);
extern void sgwmtop_move_next_task(SGWMTop *top, gint ws);
extern void sgwmtop_move_prev_task(SGWMTop *top, gint ws);
extern void sgwmtop_enable_workspace(SGWMTop *top, gint ws, gint enable);
extern gint sgwmtop_get_enabled_workspace_count(SGWMTop *top,
  gint *lastOne);
extern void sgwmtop_resize_workspace(SGWMTop *top, gint ws, gint mode,
  gint size);
extern void sgwmtop_map_task_iconic(SGWMTop *top, SGWindow *win);
extern void sgwmtop_calculate_win_size(SGWMTop *top, SGWindow *win,
  GtkAllocation *newalloc);
extern void sgwmtop_map_nunome(SGWMTop *top, SGWindow *win);
extern void sgwmtop_unmap_nunome(SGWMTop *top);
extern void sgwmtop_popup_nunome();
extern void sgwmtop_switch_nunome(SGWMTop *top);
extern void sgwmtop_call_desktop(SGWMTop *top, SGWindow *sgwin, gint ws);

#endif
